İçeriğe geç

Kandinsky5 Pro · Text to Video

Entegre et

Model kimliği kandinsky5-pro/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kandinsky5-pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,20 200 API kredisi Bu sayfada çalıştır

API anahtarı al
Sber AI Metinden Videoya 1024P değerine kadar

3:2, 1:1 veya 2:3 en-boy oranlarıyla 512P veya 1024P çözünürlükte Kandinsky 5 Pro metinden videoya

Sber AI · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

Video üretimine yön veren metin yönergeleri.

resolution varsayılan 512P

Video çözünürlüğü: 512p veya 1024p seçin.

aspect_ratio varsayılan 3:2

Çıktı videosunun en-boy oranı; 3:2, 1:1 veya 2:3 seçin.

varsayılan 5s

Oluşturulan videonun süresi.

Gelişmiş acceleration · num_inference_steps · seed · enable_safety_checker
acceleration varsayılan regular

Hızı artırmak için kullanılan üretim hızlandırma düzeyi.

varsayılan 28

Çıkarım için kullanılan adım sayısı.

Üretim için seed; bir değer sağlamadığınız sürece rastgele seçilir.

POST /run/kandinsky5-pro/text-to-video?wait=20 fiyat → $0,20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kandinsky5-pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Kandinsky5 Pro · Text to Video hakkında

Pro modeli kullanarak metin `prompt`undan video üretir. `resolution` olarak 512P veya 1024P, `aspect_ratio` olarak 3:2, 1:1 veya 2:3 seçilir. `duration` varsayılan olarak 5s, `num_inference_steps` en fazla 50'dir (varsayılan 28) ve `acceleration` none veya regular olabilir. `seed` isteğe bağlıdır.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
Video üretimine yön veren metin yönergeleri.
resolutionisteğe bağlı
Türenum
Varsayılan512P
512P1024P
Video çözünürlüğü: 512p veya 1024p seçin.
aspect_ratioisteğe bağlı
Türenum
Varsayılan3:2
3:21:12:3
Çıktı videosunun en-boy oranı; 3:2, 1:1 veya 2:3 seçin.
durationisteğe bağlı
Türstring
Varsayılan5s
Oluşturulan videonun süresi.
num_inference_stepsisteğe bağlı
Türinteger
Varsayılan28
1 – 50
Çıkarım için kullanılan adım sayısı.
accelerationisteğe bağlı
Türenum
Varsayılanregular
noneregular
Hızı artırmak için kullanılan üretim hızlandırma düzeyi.
seedisteğe bağlı
Türinteger | null
Üretim için seed; bir değer sağlamadığınız sürece rastgele seçilir.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Çağıran yetkiliyse false ayarlanarak tarama gevşetilebilir.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kandinsky5-pro/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size} | nullÜretimle oluşturulan video dosyası.
seed
integerÜretim sırasında uygulanan seed değeri.

Daha fazla model: Metinden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/kandinsky5-pro/text-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt